GNU bug report logs - #33389
parted not recognizing partitions in "non-standard" MBRs with valid partition tables

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: parted; Reported by: Marc Stenson <marcstenson@HIDDEN>; dated Wed, 14 Nov 2018 22:32:02 UTC; Maintainer for parted is bug-parted@HIDDEN.

Message received at 33389 <at> debbugs.gnu.org:


Received: (at 33389) by debbugs.gnu.org; 27 Dec 2018 21:04:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 27 16:04:19 2018
Received: from localhost ([127.0.0.1]:39564 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gccpH-0003Az-La
	for submit <at> debbugs.gnu.org; Thu, 27 Dec 2018 16:04:19 -0500
Received: from zimbra.cs.ucla.edu ([131.179.128.68]:37946)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eggert@HIDDEN>) id 1gccpF-0003Al-Gb
 for 33389 <at> debbugs.gnu.org; Thu, 27 Dec 2018 16:04:17 -0500
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id E05CC160D8D;
 Thu, 27 Dec 2018 13:04:11 -0800 (PST)
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10032)
 with ESMTP id uNyrNifD_KCV; Thu, 27 Dec 2018 13:04:11 -0800 (PST)
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 43B33160D8E;
 Thu, 27 Dec 2018 13:04:11 -0800 (PST)
X-Virus-Scanned: amavisd-new at zimbra.cs.ucla.edu
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id Ca54E4kQwd87; Thu, 27 Dec 2018 13:04:11 -0800 (PST)
Received: from [192.168.1.9] (cpe-23-242-74-103.socal.res.rr.com
 [23.242.74.103])
 by zimbra.cs.ucla.edu (Postfix) with ESMTPSA id 0F72A160CF0;
 Thu, 27 Dec 2018 13:04:11 -0800 (PST)
To: 33389 <at> debbugs.gnu.org
From: Paul Eggert <eggert@HIDDEN>
Subject: Re: parted not recognizing partitions in "non-standard" MBRs with
 valid partition tables
Organization: UCLA Computer Science Department
Message-ID: <a4beb9e7-35a9-6a01-af84-469a9b047e1a@HIDDEN>
Date: Thu, 27 Dec 2018 13:04:10 -0800
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.2.1
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 33389
Cc: "Brian C. Lane" <bcl@HIDDEN>, Philipp <p.stephani2@HIDDEN>,
 Marc Stenson <marcstenson@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Sorry about closing Bug#33389 (for parted) by accident. I reopened it just now.

I meant to close Bug#33839 (for Emacs) and plan to do that shortly.




Information forwarded to bug-parted@HIDDEN:
bug#33389; Package parted. Full text available.
bug No longer marked as fixed in versions 26.1.90 and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.

Message received at 33389-done <at> debbugs.gnu.org:


Received: (at 33389-done) by debbugs.gnu.org; 27 Dec 2018 20:58:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 27 15:58:40 2018
Received: from localhost ([127.0.0.1]:39558 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gccjn-0002zn-KZ
	for submit <at> debbugs.gnu.org; Thu, 27 Dec 2018 15:58:39 -0500
Received: from zimbra.cs.ucla.edu ([131.179.128.68]:37100)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eggert@HIDDEN>) id 1gccjm-0002zY-24
 for 33389-done <at> debbugs.gnu.org; Thu, 27 Dec 2018 15:58:38 -0500
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id D4968160D6A;
 Thu, 27 Dec 2018 12:58:31 -0800 (PST)
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10032)
 with ESMTP id 5kTrVrUWjLJN; Thu, 27 Dec 2018 12:58:30 -0800 (PST)
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id DFE34160DFA;
 Thu, 27 Dec 2018 12:58:30 -0800 (PST)
X-Virus-Scanned: amavisd-new at zimbra.cs.ucla.edu
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id uDra_vovSPD6; Thu, 27 Dec 2018 12:58:30 -0800 (PST)
Received: from [192.168.1.9] (cpe-23-242-74-103.socal.res.rr.com
 [23.242.74.103])
 by zimbra.cs.ucla.edu (Postfix) with ESMTPSA id B827D16005E;
 Thu, 27 Dec 2018 12:58:30 -0800 (PST)
To: Philipp <p.stephani2@HIDDEN>
From: Paul Eggert <eggert@HIDDEN>
Subject: 26.1.90; Emacs occasionally fails to receive asynchronous subprocess
 output in batch mode
Organization: UCLA Computer Science Department
Message-ID: <1b0e7285-b86f-1e2e-8d63-c2c505d31499@HIDDEN>
Date: Thu, 27 Dec 2018 12:58:30 -0800
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.2.1
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="------------DB2A2FF4B6CDD1670CE63B8D"
Content-Language: en-US
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 33389-done
Cc: 33389-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

This is a multi-part message in MIME format.
--------------DB2A2FF4B6CDD1670CE63B8D
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit

> I don't think the manual states that output can
> arrive after the process has finished, but if that's the case, then it
> should do so.

Good point, and I installed the attached patch into emacs-26 to try to do that.

As this bug report seems to stem from a misunderstanding of 
accept-process-output (quite understandable, as its functionality is obscure) 
I'm taking the liberty of closing the report. If I'm wrong please feel free to 
reopen it.

--------------DB2A2FF4B6CDD1670CE63B8D
Content-Type: text/x-patch;
 name="0001-Improve-accept-process-process-doc.patch"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
 filename="0001-Improve-accept-process-process-doc.patch"

From c9fdd1b4965ebd02aa408f878320c4955f5e2cc7 Mon Sep 17 00:00:00 2001
From: Paul Eggert <eggert@HIDDEN>
Date: Thu, 27 Dec 2018 12:52:45 -0800
Subject: [PATCH] Improve accept-process-process doc

* doc/lispref/processes.texi (Accepting Output):
* src/process.c (Faccept_process_output):
Document that (accept-process-output P) can return non-nil
even after P has exited, and that it can return nil even if P
is still running (Bug#33839).
---
 doc/lispref/processes.texi | 7 +++++--
 src/process.c              | 7 ++++---
 2 files changed, 9 insertions(+), 5 deletions(-)

diff --git a/doc/lispref/processes.texi b/doc/lispref/processes.texi
index 623be09cc6..2aca7f82a1 100644
--- a/doc/lispref/processes.texi
+++ b/doc/lispref/processes.texi
@@ -1795,7 +1795,8 @@ Accepting Output
 This function allows Emacs to read pending output from processes.  The
 output is given to their filter functions.  If @var{process} is
 non-@code{nil} then this function does not return until some output
-has been received from @var{process}.
+has been received from @var{process} or @var{process} has closed the
+connection.
 
 The arguments @var{seconds} and @var{millisec} let you specify timeout
 periods.  The former specifies a period measured in seconds and the
@@ -1820,7 +1821,9 @@ Accepting Output
 
 The function @code{accept-process-output} returns non-@code{nil} if it
 got output from @var{process}, or from any process if @var{process} is
-@code{nil}.  It returns @code{nil} if the timeout expired before output
+@code{nil}; this can occur even after a process has exited if the
+corresponding connection contains buffered data.  The function returns
+@code{nil} if the timeout expired or the connection was closed before output
 arrived.
 @end defun
 
diff --git a/src/process.c b/src/process.c
index e306b2ae9e..4dafee8cbe 100644
--- a/src/process.c
+++ b/src/process.c
@@ -4581,8 +4581,8 @@ DEFUN ("accept-process-output", Faccept_process_output, Saccept_process_output,
        0, 4, 0,
        doc: /* Allow any pending output from subprocesses to be read by Emacs.
 It is given to their filter functions.
-Optional argument PROCESS means do not return until output has been
-received from PROCESS.
+Optional argument PROCESS means to return only after output is
+received from PROCESS or PROCESS closes the connection.
 
 Optional second argument SECONDS and third argument MILLISEC
 specify a timeout; return after that much time even if there is
@@ -4594,7 +4594,8 @@ If optional fourth argument JUST-THIS-ONE is non-nil, accept output
 from PROCESS only, suspending reading output from other processes.
 If JUST-THIS-ONE is an integer, don't run any timers either.
 Return non-nil if we received any output from PROCESS (or, if PROCESS
-is nil, from any process) before the timeout expired.  */)
+is nil, from any process) before the timeout expired or the
+corresponding connection was closed.  */)
   (Lisp_Object process, Lisp_Object seconds, Lisp_Object millisec,
    Lisp_Object just_this_one)
 {
-- 
2.17.1


--------------DB2A2FF4B6CDD1670CE63B8D--




Notification sent to Marc Stenson <marcstenson@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Paul Eggert <eggert@HIDDEN>:
You have taken responsibility. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 16 Nov 2018 18:27:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 16 13:27:55 2018
Received: from localhost ([127.0.0.1]:56755 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gNiqR-0003mj-3h
	for submit <at> debbugs.gnu.org; Fri, 16 Nov 2018 13:27:55 -0500
Received: from eggs.gnu.org ([208.118.235.92]:33875)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bcl@HIDDEN>) id 1gNiqP-0003mX-Ay
 for submit <at> debbugs.gnu.org; Fri, 16 Nov 2018 13:27:53 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <bcl@HIDDEN>) id 1gNiq9-0006el-QQ
 for submit <at> debbugs.gnu.org; Fri, 16 Nov 2018 13:27:43 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:58308)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <bcl@HIDDEN>) id 1gNiq6-0006dq-KM
 for submit <at> debbugs.gnu.org; Fri, 16 Nov 2018 13:27:35 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:43478)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <bcl@HIDDEN>) id 1gNiq5-0006KM-Qf
 for bug-parted@HIDDEN; Fri, 16 Nov 2018 13:27:34 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <bcl@HIDDEN>) id 1gNipy-0006bX-Tb
 for bug-parted@HIDDEN; Fri, 16 Nov 2018 13:27:30 -0500
Received: from mx1.redhat.com ([209.132.183.28]:47528)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <bcl@HIDDEN>) id 1gNipw-0006a5-Qq
 for bug-parted@HIDDEN; Fri, 16 Nov 2018 13:27:25 -0500
Received: from smtp.corp.redhat.com (int-mx05.intmail.prod.int.phx2.redhat.com
 [10.5.11.15])
 (using TLSv1.2 with cipher AECDH-AES256-SHA (256/256 bits))
 (No client certificate requested)
 by mx1.redhat.com (Postfix) with ESMTPS id 29FF68F50A
 for <bug-parted@HIDDEN>; Fri, 16 Nov 2018 18:27:22 +0000 (UTC)
Received: from lister.brianlane.com (ovpn-112-35.phx2.redhat.com [10.3.112.35])
 by smtp.corp.redhat.com (Postfix) with ESMTPS id AC1DA5D759
 for <bug-parted@HIDDEN>; Fri, 16 Nov 2018 18:27:21 +0000 (UTC)
Date: Fri, 16 Nov 2018 10:27:19 -0800
From: "Brian C. Lane" <bcl@HIDDEN>
To: bug-parted@HIDDEN
Subject: Re: bug#33389: parted not recognizing partitions in "non-standard"
 MBRs with valid partition tables
Message-ID: <20181116182719.GF3214@HIDDEN>
References: <f1a93922-4d0a-3071-805d-ebbe405aa12a@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=iso-8859-1
Content-Disposition: inline
In-Reply-To: <f1a93922-4d0a-3071-805d-ebbe405aa12a@HIDDEN>
User-Agent: Mutt/1.10.1 (2018-07-13)
X-Scanned-By: MIMEDefang 2.79 on 10.5.11.15
X-Greylist: Sender IP whitelisted, not delayed by milter-greylist-4.5.16
 (mx1.redhat.com [10.5.110.28]); Fri, 16 Nov 2018 18:27:22 +0000 (UTC)
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.1 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.1 (-----)

On Thu, Nov 15, 2018 at 12:27:02AM +0200, Marc Stenson wrote:
> Hello,
>=20
> While parted 2.3 had no issues with whatever was in the first 446 bytes=
 of
> the MBR and only looked at the partition table, newer versions such as =
3.2
> seem to be thrown by unusual boot code (e.g. Grub4DOS) and either show =
the
> entire disk as unallocated space or as one big volume/partition with th=
e
> file system of the first volume. This is despite the partition table be=
ing
> fully compliant and happily read by fdisk and sfdisk.
>=20
> This may be a "feature" rather than a bug. =A0 Please pardon my ignoran=
ce,
> perhaps newer partition table schemes require the first 446 bits to be
> parsed.=A0 However it could save someone many hours of frustration if t=
his was
> noted prominently in the documentation.
>=20
> In my case It was fixed with a simple:
> =A0 dd if=3D/usr/lib/syslinux/mbr/mbr.bin of=3D/dev/sdb bs=3D446 count=3D=
1
> after taking the requisite backups and a deep breath.

Can you explain steps to reproduce this, or post the first 1M of your
disk someplace?

--=20
Brian C. Lane (PST8PDT)




Information forwarded to bug-parted@HIDDEN:
bug#33389; Package parted. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 14 Nov 2018 22:31:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 14 17:31:45 2018
Received: from localhost ([127.0.0.1]:52697 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gN3hJ-000701-1R
	for submit <at> debbugs.gnu.org; Wed, 14 Nov 2018 17:31:45 -0500
Received: from eggs.gnu.org ([208.118.235.92]:48013)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <marcstenson@HIDDEN>) id 1gN3d4-0006sP-Lw
 for submit <at> debbugs.gnu.org; Wed, 14 Nov 2018 17:27:22 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <marcstenson@HIDDEN>) id 1gN3cx-0006UF-8T
 for submit <at> debbugs.gnu.org; Wed, 14 Nov 2018 17:27:17 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.0 required=5.0 tests=BAYES_20,FREEMAIL_FROM
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:50117)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <marcstenson@HIDDEN>)
 id 1gN3cv-0006Tn-Eb
 for submit <at> debbugs.gnu.org; Wed, 14 Nov 2018 17:27:15 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:57602)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <marcstenson@HIDDEN>) id 1gN3cu-00042o-Kg
 for bug-parted@HIDDEN; Wed, 14 Nov 2018 17:27:13 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <marcstenson@HIDDEN>) id 1gN3cr-0006R8-0o
 for bug-parted@HIDDEN; Wed, 14 Nov 2018 17:27:12 -0500
Received: from mail-wm1-x335.google.com ([2a00:1450:4864:20::335]:52931)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <marcstenson@HIDDEN>)
 id 1gN3cq-0006QM-PP
 for bug-parted@HIDDEN; Wed, 14 Nov 2018 17:27:08 -0500
Received: by mail-wm1-x335.google.com with SMTP id r11-v6so16922806wmb.2
 for <bug-parted@HIDDEN>; Wed, 14 Nov 2018 14:27:08 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=to:from:subject:message-id:date:user-agent:mime-version
 :content-transfer-encoding:content-language;
 bh=0v0CVsituucaEIsvsOICMcoPy0Y2wB2CviGQZqBUyJA=;
 b=gjdLa4yiDVkmiRUVnzj+7o7CdwuK9RBsMS5mn6sBu/lluuEBMDU1I3bD/F0GYnZrtG
 xhouKa4ZUeKW0Tw6UO6gTHwkg0Hwi/vUW0c1Z+r8pKJDs1uRaUr4gfH7FoAGIbc/NJqB
 k2Q8bkfb82v81Ap1G/x9Z/B2vFFurWjmcFUnsFEYrTz7SC/3ITmRWIsfSnnY9PCpvlgo
 CA7t2tJGJp0l+ebKGtjncTC1OGRIxgHHHLJSdxyLvRxhH7F6wPIbHf69PgsA5pyhJ1Gt
 mzDC69L1+O5oMmJkT4JFy1lYI+GvmIWSyLPXCgjmQZfEqz8m8Wi3OPpPHz81SyQ2mKjA
 QjqA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:to:from:subject:message-id:date:user-agent
 :mime-version:content-transfer-encoding:content-language;
 bh=0v0CVsituucaEIsvsOICMcoPy0Y2wB2CviGQZqBUyJA=;
 b=UnMdx1d9VOqWScEa7yiYMAJ37LiIQLLUxjVLkMWmP0+NvIemqKzKztbN2skhpWI/P9
 9/e+1+P0qW/KgaRFyouofrHLeVYEhD2MC7GG+h54VCKnMuOkcbaWG+sEijJdcBqVR4FW
 Bf4rJWLMGqC85+Yn5GtxvaUMDnAjVHvcgjLRVrJzyHYy38oBFkYUsRqwVZlASpZ3+7wK
 sM6oED5UO80sb01dEyGX4p0ZXbxzW5NF53Hqxw9e01Nyca9/EXXj2OQnXExPODpo8PEP
 ZSnzwBpIYgPJCmZbqmqfMaWFaIwn34hcbi/dbgKA8OfL+N1ZcNUgJ6X01mXwFnH7nuDz
 yUwg==
X-Gm-Message-State: AGRZ1gLQMbD0iSNZelJjysBNECaMKsNj6MRlXv2GRO689Op2CeETk1m9
 WDKBaB+DZ1o2cdZYAdiEvHemeCs=
X-Google-Smtp-Source: AJdET5dT82g6dHMxC/c7uPeU0L753AAqmsjlL5pu2i31ICiFyyiCMEiwbWiy6QRrXmxnrHyugwGBdw==
X-Received: by 2002:a1c:95c4:: with SMTP id x187mr3180103wmd.95.1542234427085; 
 Wed, 14 Nov 2018 14:27:07 -0800 (PST)
Received: from [192.168.101.251] (dsl-197-245-221-197.voxdsl.co.za.
 [197.245.221.197])
 by smtp.gmail.com with ESMTPSA id i7-v6sm21572832wrs.55.2018.11.14.14.27.05
 for <bug-parted@HIDDEN>
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Wed, 14 Nov 2018 14:27:06 -0800 (PST)
To: bug-parted@HIDDEN
From: Marc Stenson <marcstenson@HIDDEN>
Subject: parted not recognizing partitions in "non-standard" MBRs with valid
 partition tables
Message-ID: <f1a93922-4d0a-3071-805d-ebbe405aa12a@HIDDEN>
Date: Thu, 15 Nov 2018 00:27:02 +0200
User-Agent: Mozilla/5.0 (X11; Linux i686; rv:52.0) Gecko/20100101
 Thunderbird/52.6.0
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 8bit
Content-Language: en-US
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Wed, 14 Nov 2018 17:31:44 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

Hello,

While parted 2.3 had no issues with whatever was in the first 446 bytes 
of the MBR and only looked at the partition table, newer versions such 
as 3.2 seem to be thrown by unusual boot code (e.g. Grub4DOS) and either 
show the entire disk as unallocated space or as one big volume/partition 
with the file system of the first volume. This is despite the partition 
table being fully compliant and happily read by fdisk and sfdisk.

This may be a "feature" rather than a bug.   Please pardon my ignorance, 
perhaps newer partition table schemes require the first 446 bits to be 
parsed.  However it could save someone many hours of frustration if this 
was noted prominently in the documentation.

In my case It was fixed with a simple:
   dd if=/usr/lib/syslinux/mbr/mbr.bin of=/dev/sdb bs=446 count=1
after taking the requisite backups and a deep breath.

Thanks and regards,
Marc




Acknowledgement sent to Marc Stenson <marcstenson@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-parted@HIDDEN. Full text available.
Report forwarded to bug-parted@HIDDEN:
bug#33389; Package parted. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 27 Dec 2018 21:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.